from sqlalchemy import *
from migrate import *
import migrate.changeset
from dictionaries.versions import views_helper
import re

def getRolecmactionTables(meta):
    rolecmaction1 = Table('rolecmaction1', meta, autoload=True)
    rolecmaction2 = Table('rolecmaction2', meta, autoload=True)
    return [rolecmaction1, rolecmaction2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    for tbl in getRolecmactionTables(meta):
        documenttype = Column('documenttype', Integer, nullable=False, default=0)
        documenttype.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'rolecmaction')


def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    conn = migrate_engine.connect()
    tblname = views_helper.get_table_name(migrate_engine,'rolecmaction')
    for tbl in getRolecmactionTables(meta):
        tbl.c.documenttype.drop()
    views_helper.update_dic_view(migrate_engine, 'rolecmaction',tblname)
