from sqlalchemy import *
from migrate import *
import migrate.changeset
from dictionaries.versions import views_helper
import re

def getTmcTables(meta):
    tmc1 = Table('tmc1', meta, autoload=True)
    tmc2 = Table('tmc2', meta, autoload=True)
    return [tmc1, tmc2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    for tbl in getTmcTables(meta):
        remain = Column('remain', Numeric(13, 3), nullable=True)
        remain.create(tbl)
        remaindate = Column('remaindate', DateTime, nullable=True)
        remaindate.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'tmc')


def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    conn = migrate_engine.connect()
    tblname = views_helper.get_table_name(migrate_engine,'tmc')
    for tbl in getTmcTables(meta):
        tbl.c.remain.drop()    
        tbl.c.remaindate.drop()
    views_helper.update_dic_view(migrate_engine, 'tmc',tblname)
