from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper


def getBarcodesTables(meta):
    barcodes1 = Table('barcodes1', meta, autoload=True)
    barcodes2 = Table('barcodes2', meta, autoload=True)
    return [barcodes1, barcodes2]


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # barcodes - quantdefault
    for tbl in getBarcodesTables(meta):
        quantdefault = Column('quantdefault', Numeric(13, 3), nullable=True)
        if not 'quantdefault' in tbl.columns:
            quantdefault.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'barcodes')


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # barcodes - quantdefault
    barcodes = views_helper.get_table_name(migrate_engine, 'barcodes')
    for tbl in getBarcodesTables(meta):
        if 'quantdefault' in tbl.columns:
            tbl.c.quantdefault.drop()
    views_helper.update_dic_view(migrate_engine, 'barcodes', barcodes)
