from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getPricesTables(meta):
    prices1 = Table('prices1', meta, autoload=True)
    prices2 = Table('prices2', meta, autoload=True)
    return [prices1, prices2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    #barcodes - quantdefault
    for tbl in getPricesTables(meta):
        pricetype = Column('pricetype', Integer, nullable=True)
        if not 'pricetype' in tbl.columns:
            pricetype.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'prices')
    
def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    prices = views_helper.get_table_name(migrate_engine,'prices')
    for tbl in getPricesTables(meta):
        if 'pricetype' in tbl.columns:
            tbl.c.pricetype.drop()
    views_helper.update_dic_view(migrate_engine, 'prices', prices)