from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getBarcodesTables(meta):
    barcodes1 = Table('barcodes1', meta, autoload=True)
    barcodes2 = Table('barcodes2', meta, autoload=True)
    return [barcodes1, barcodes2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in getBarcodesTables(meta):
        packingmeasure = Column('packingmeasure', Integer, nullable=True)
        if not 'packingmeasure' in tbl.columns:
            packingmeasure.create(tbl)

        packingprice = Column('packingprice', Numeric (15,2), nullable=True)
        if not 'packingprice' in tbl.columns:
            packingprice.create(tbl)

    views_helper.update_dic_view(migrate_engine, 'barcodes')

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    barcodes = views_helper.get_table_name(migrate_engine,'barcodes')
    for tbl in getBarcodesTables(meta):
        if 'packingmeasure' in tbl.columns:
            tbl.c.packingmeasure.drop()
        if 'packingprice' in tbl.columns:
            tbl.c.packingprice.drop()
    views_helper.update_dic_view(migrate_engine, 'barcodes', barcodes)
