from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getActionPanel(meta):
    return Table('actionpanel', meta,
        Column('actionpanelcode', Integer, nullable = False, primary_key = True),
        Column('context', Integer, nullable = False),
        Column('page', Integer, nullable = False),
        Column('rowcount', Integer, nullable = False),
        Column('columncount', Integer, nullable = False)
    )
    
def getActionPanelItem(meta):
    return Table('actionpanelitem', meta,
        Column('actionpanelitemcode', Integer, nullable = False, primary_key = True),
        Column('actionpanelcode', Integer, nullable = False),
        Column('actioncode', Integer, nullable = False),
        Column('row', Integer, nullable = False, quote = True),
        Column('column', Integer, nullable = False),
        Column('rowspan', Integer, nullable = True),
        Column('columnspan', Integer, nullable = True),
        Column('color', String(20), nullable = True),
        Column('name', String(100), nullable = True),
    )

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    views_helper.create_table(migrate_engine, getActionPanel(meta))
    views_helper.create_table(migrate_engine, getActionPanelItem(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    views_helper.drop_table(migrate_engine, getActionPanel(meta))
    views_helper.drop_table(migrate_engine, getActionPanelItem(meta))
