from sqlalchemy import *
from dictionaries.versions import views_helper

table_name = 'verification'

def getTables(meta):
    return [Table(table_name + "1", meta, autoload=True), Table(table_name + "2", meta, autoload=True)]

# если использовать views_helper.getTables, то тест test_incorrect_migrate.py завалится, т.к. условие для его прохождения - разница в количестве полей в таблице
# в этой миграции нет добалвения полей, а только alter
def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    for tbl in getTables(meta):
        tbl.c.type.alter(type=String(255))
        tbl.c.name.alter(type=String(255))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    for tbl in getTables(meta):
        tbl.c.name.alter(type=String(30))
        tbl.c.type.alter(type=String(20))
