from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper


def getTable(meta):
    return Table('abnormalquantity', meta,
        Column('barcode', String(255), nullable=False, primary_key=True),
        Column('minquant', Numeric(precision=13, scale=3), nullable=True),
        Column('maxquant', Numeric(precision=13, scale=3), nullable=True),
    )


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getTable(meta))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getTable(meta))
