from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getNoteTable(meta):
    return Table('note', meta,
        Column('id', Integer, nullable=False, primary_key=True),
        Column('name', String(255)),
        Column('type', Integer),
        Column('triggertype', Integer),
        Column('saveresult', Boolean),
        Column('template', Text),
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getNoteTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getNoteTable(meta))
