from sqlalchemy import *
from migrate import *
import migrate.changeset

def getGoodsitemTable(meta):
    return Table('goodsitem', meta, autoload=True)

def getStornogoodsitemTable(meta):
    return Table('stornogoodsitem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    taramode = Column('taramode', Integer, nullable=True).create(getGoodsitemTable(meta))
    taracapacity = Column('taracapacity', Numeric(precision=13, scale=3), nullable=True).create(getGoodsitemTable(meta))
    taramode = Column('taramode', Integer, nullable=True).create(getStornogoodsitemTable(meta))
    taracapacity = Column('taracapacity', Numeric(precision=13, scale=3), nullable=True).create(getStornogoodsitemTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getGoodsitemTable(meta).c.taramode.drop()
    getGoodsitemTable(meta).c.taracapacity.drop()
    getStornogoodsitemTable(meta).c.taramode.drop()
    getStornogoodsitemTable(meta).c.taracapacity.drop()
