from sqlalchemy import *
from migrate import *

def getUsersTable(meta):
	users = Table('users', meta,
		Column('workshiftid', Integer, nullable=False, primary_key=True, autoincrement=True),
		Column('usercode', String(30), nullable=False, primary_key=True),
		Column('username', String(60), nullable=True),
		mysql_engine='InnoDB'
	)
	return users;


def upgrade(migrate_engine):
	# Upgrade operations go here. Don't create your own engine; bind migrate_engine
	# to your metadata
	meta = MetaData(bind=migrate_engine)
	table = getUsersTable(meta)
	if not table.exists():
		table.create();

def downgrade(migrate_engine):
	# Operations to reverse the above upgrade go here.
	meta = MetaData(bind=migrate_engine)
	table = getUsersTable(meta)
	if table.exists():
		table.drop();
