from sqlalchemy import *
from migrate import *
from documents.versions import dump

column_name = 'packingprice'
def getTables(meta):
    return [Table('goodsitem', meta, autoload=True), Table('stornogoodsitem', meta, autoload=True)]

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    for tbl in getTables(meta):
        if not column_name in tbl.columns:
            Column(column_name, Numeric(precision=13, scale=2), nullable=True).create(tbl)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    for tbl in getTables(meta):
        if column_name in tbl.columns:
            tbl.drop_column(column_name)
