from sqlalchemy import *
from migrate import *

columnName = 'firstchecktime'
columnType = DateTime

def getTable(meta):
    return Table('workshift', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if columnName not in table.columns:
        Column(columnName, columnType, nullable=True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if columnName in table.columns:
        Column(columnName, columnType, nullable=True).drop(table)
