from sqlalchemy import *
from migrate import *

def getGoodsItem(meta):
    return Table('goodsitem', meta, autoload=True)

def getStornoGoodsItem(meta):
    return Table('stornogoodsitem', meta, autoload=True)

def getSupplierTable(meta):
    return Table('supplier', meta,
        Column('supplierid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('goodsitemid', Integer, ForeignKey(getGoodsItem(meta).c.goodsitemid, name='suppliergoodsitemidfk', ondelete='CASCADE'), nullable=True),
        Column('stornogoodsitemid', Integer, ForeignKey(getStornoGoodsItem(meta).c.stornogoodsitemid, name='supplierstornogoodsitemidfk', ondelete='CASCADE'), nullable=True),
        Column('suppliercode', Integer, nullable=False),
        Column('name', String(255), nullable=False),
        Column('phone', String(100), nullable=False),
        Column('inn', String(20), nullable=False),
        Column('agentpaymentobject', Integer, nullable=False),
        mysql_engine='InnoDB',
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    supplierTable = getSupplierTable(meta)
    if not supplierTable.exists(meta.bind):
        supplierTable.create()

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    supplierTable = getSupplierTable(meta)
    if supplierTable.exists(meta.bind):
        supplierTable.drop()
