#!/usr/bin/python

import migrate.versioning.api as vers
import pyodbc
import sys


def databaseExists(cur, database):
    cur.execute("SELECT * FROM sys.databases WHERE name = '%s'" % (database))
    for _ in cur:
        return True
    return False

def createDatabaseIfNotExists(cur, database):
    if databaseExists(cur, database):
        sys.stdout.write("Database %s exists.\n" % database)
    else:
        sys.stdout.write('Creating database %s...' % database)
        cur.execute('CREATE DATABASE %s' % database)
        sys.stdout.write("OK\n")

def updateDatabaseVersion(url, repo):
    try:
        sys.stdout.write("Current %s version is %d\n" % (repo, vers.db_version(url, repo)))
    except Exception:
        sys.stdout.write("Putting %s under version control..." % repo)
        vers.version_control(url, repo)
        sys.stdout.write("OK\n")
    sys.stdout.write("Updating %s to version %d..." % (repo, vers.version(repo)))
    try:
        vers.upgrade(url, repo)
        sys.stdout.write("OK\n")
    except Exception as e:
        sys.stdout.write("ERROR: %s\n" % e)

conn = pyodbc.connect('driver={SQL Server Native Client 10.0};server=DEV-CHVV\SQLEXPRESS;uid=user1;pwd=user1', autocommit=True)
cur = conn.cursor()

createDatabaseIfNotExists(cur, 'dictionaries')
cur.close()
conn.close()

updateDatabaseVersion('mssql://user1:user1@DEV-CHVV\SQLEXPRESS/dictionaries', 'dictionaries')
